#= require_self
#= require ./slender_data/tools
#= require ./slender_data/persistence_manager

window.slender_data or= {}


# Makes sure the given query is an instance of the given query class.
# If not, creates an instance of the given query class from the given query.
slender_data.querify = (query, clazz, params) ->
  if query instanceof clazz
    query
  else
    new clazz query, params
